package cz.muni.fi.pa165.user;

import cz.muni.fi.pa165.common.BaseMapper;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;

@Mapper
public interface UserMapper extends BaseMapper<UserDo, UserDto> {

    /**
     * Updates the fields of the given UserDo entity with the values from the corresponding UserDto entity.
     * The mapping between the entities is defined by the BaseMapper interface.
     *
     * @param userDto the source UserDto entity to update from
     * @param user    the target UserDo entity to update
     */
    void updateFromDto(UserDto userDto, @MappingTarget UserDo user);
}
